function init(hero) {
    hero.setName("Iron Man");
	hero.setVersion("Mk: 1");
    hero.setTier(2);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addAbilities("fiskheroes:steel_transformation", "fiskheroes:fire_immunity", "fiskheroes:propelled_flight", "fiskheroes:pyrokinesis");
    hero.addWeaknesses("fiskheroes:metal_skin");
    hero.addAttribute("ATTACK_DAMAGE", 0.3, 1);
    hero.addAttribute("PUNCH_DAMAGE", 2.5, 0);
    hero.addAttribute("SWORD_DAMAGE", -3.0, 0);
    
    hero.addKeyBind("AIM", "Flamethrower", 1);
	hero.addKeyBind("STEEL_TRANSFORM", "Jet Fuel Boost", 2);
    
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);
	hero.setModifierEnabled(isModifierEnabled);
}

function hasProperty(entity, property) {
    switch (property) {
    case "MASK_TOGGLE":
        return true;
    default:
        return false;
    }
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}

function isModifierEnabled(entity, modifier) {
    return entity.getData("fiskheroes:steeled") || modifier != "fiskheroes:propelled_flight";
}
